VFS_SYNC(9)

NAME
VFS_SYNC - flush unwritten data

SYNOPSIS
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_SYNC(struct mount *mp, int waitfor, struct ucred *cred, struct proc *p);

DESCRIPTION
This writes out all unwritten data in a filesystem.

Its arguments are:

mp  The filesystem.

waitfor
    Whether the function should wait for I/O to complete.

cred
    The caller's credentials.

p   The calling process.

This would normally call VOP_FSYNC(9) for all the vnodes in the filesystem.

SEE ALSO
vnode(9), VFS(9), VOP_FSYNC(9), sync(2), fsync(2)

AUTHORS
This man page was written by Doug Rabson.